SUB InitDefaultPaths STATIC
  EXE_PATH$ = "EXE_PATH"
  PREV_INSTALL$ = "PREV"
  SetSymbolValue PREV_INSTALL$, "NO"

  WINDRIVE$ = MID$ (WinDir$, 1, 1)
  nWinDrive% = ASC (ucase$ (WINDRIVE$)) - ASC ("A") + 1

  ini$ = MakePath (GetWindowsDir, "POWERUP.INI")

  '' set CCW's program path
  DEST$ = LCASE$ (GetIniKeyString (ini$, "Sports Illustrated Swimsuit Calendar", "ProgramPath"))
  IF DEST$ = "" THEN
    DEST$ = LCASE$ (GetIniKeyString (ini$, "POWERALBUM", "Path"))
  ENDIF
  IF DEST$ = "" THEN
    DEST$ = LCASE$ (MakePath(RootDir$, "SISWIM"))
  ELSE
    ii% = DoesFileExist (MakePath (DEST$,"SISWIM.EXE"), femExists)
    szVerStr$ = GetVersionOfFile (MakePath (DEST$, "SISWIM.EXE"))
    ver& = GetVersionNthField (szVerStr$, 1)
    if (ii% = 1) AND (ver& >= 2 ) then
      SetSymbolValue PREV_INSTALL$, "YES"
    endif
  ENDIF

  '' pick up art directory from POWERUP.INI
  DEST_ART$ = LCASE$ (GetIniKeyString (ini$, "ART", "Path"))
  IF DEST_ART$ = "" THEN
    DEST_ART$ = LCASE$ (MakePath(DEST$, "ART")) '' dfg
  ENDIF

  '' pick up graphics filters directory from POWERUP.INI
  DEST_FILTERS$ = LCASE$ (GetIniKeyString (ini$, "GRAPHICS FILTERS", "NewPath"))
  IF DEST_FILTERS$ = "" THEN
    DEST_FILTERS$ = LCASE$ (GetIniKeyString (ini$, "GRAPHICS FILTERS", "Path"))
    if DEST_FILTERS$ = "" then
      DEST_FILTERS$ = LCASE$ (MakePath( DEST$, "FILTERS")) '' dfg
    ENDIF
  ENDIF
  SetSymbolValue EXE_PATH$, DEST$

  PROGDRIVE$ = MID$ (DEST$, 1, 1)
  ARTDRIVE$ = MID$ (DEST_ART$, 1, 1)
  FILTERSDRIVE$ = MID$ (DEST_FILTERS$, 1, 1)
END SUB

SUB InitMainDialogSymbols STATIC
  STR_REQ$ = "StrSelReq"
  STR_AVAIL$ = "StrSelAvail"
  DIALOG_LIST$ = "DialogList"
  CHK_PROG_FILES$ = "ChkProgFiles"
  CHK_STD_EVNT_LST$ = "ChkStdEvntLst"
  CHK_INTL_EVNT_LST$ = "ChkIntlEvntLst"
  CHK_WORK_SPCS$ = "ChkWorkSpcs"
  CHK_CLIP_ART$ = "ChkClipArt"
  RAD_ALBUM_ONLY$ = "RadAlbumOnly" '' dfg
  RAD_BUILD_ALBUM$ = "RadBuildAlbum"
  RAD_ART_ONLY$ = "RadArtOnly"
  STR_PROG_PATH$ = "StrProgPath"
  STR_CLIP_ART_PATH$ = "StrClipArtPath"
  STR_FILTERS_PATH$ = "StrFiltersPath"
  STR_REQ_PROG$ = "StrReqProg"
  STR_REQ_CLIP_ART$ = "StrReqClipArt"
  STR_REQ_FILTERS$ = "StrReqFilters"
  STR_AVAIL_PROG$ = "StrAvailProg"
  STR_AVAIL_ART$ = "StrAvailArt"
  STR_AVAIL_FILTERS$ = "StrAvailFilters"
  STR_REQ_PROG2$ = "StrReqProg2"
  STR_REQ_SEL$ = "StrReqSEL"
  STR_REQ_IEL$ = "StrReqIEL"
  STR_REQ_WK_SPC$ = "StrReqWkSpc"
  STR_REQ_CLIP_ART2$ = "StrReqClipArt2"
  STR_REQ_ART_DLG$ = "STR_REQ_ART_DLG$"
  STR_AVAIL_ART_DLG$ = "STR_AVAIL_ART_DLG$"
  STR_REQ_GEN$ = "STR_REQ_GEN$"
  STR_AVAIL_GEN$ = "STR_AVAIL_GEN$"
  INSTALL_TTF$ = "INSTALL_TTF$"

  SetSymbolValue STR_REQ_ART_DLG$, "0"
  SetSymbolValue STR_AVAIL_ART_DLG$, "0"
  SetSymbolValue CHK_PROG_FILES$, "ON"
  SetSymbolValue CHK_STD_EVNT_LST$, "ON"
  SetSymbolValue CHK_INTL_EVNT_LST$, "ON"
  SetSymbolValue CHK_WORK_SPCS$, "ON"
  SetSymbolValue CHK_CLIP_ART$, "ON"
  SetSymbolValue INSTALL_TTF$, "ON"
  SetSymbolValue RAD_ALBUM_ONLY$, "ON"   '' dfg
  SetSymbolValue RAD_BUILD_ALBUM$, "OFF" '' dfg
  SetSymbolValue RAD_ART_ONLY$, "OFF"
  SetSymbolValue STR_PROG_PATH$, DEST$
  SetSymbolValue STR_CLIP_ART_PATH$, DEST_ART$
  SetSymbolValue STR_FILTERS_PATH$, DEST_FILTERS$
  SetSymbolValue STR_REQ_PROG$, "0"
  SetSymbolValue STR_REQ_CLIP_ART$, "0"
  SetSymbolValue STR_REQ_FILTERS$, "0"
  SetSymbolValue STR_AVAIL_PROG$, "0"
  SetSymbolValue STR_AVAIL_ART$, "0"
  SetSymbolValue STR_AVAIL_FILTERS$, "0"
  SetSymbolValue STR_REQ_PROG2$, "0"
  SetSymbolValue STR_REQ_SEL$, "0"
  SetSymbolValue STR_REQ_IEL$, "0"
  SetSymbolValue STR_REQ_WK_SPC$, "0"
  SetSymbolValue STR_REQ_CLIP_ART2$, "0"
END SUB

SUB InitArtDialogSymbols STATIC
  DIA_ART$="DiaArtChk"
  AddListItem DIALOG_LIST$, DIA_ART$

  CHK_ART00$ = "ChkArt00"
  AddListItem DIA_ART$, CHK_ART00$         '' add checkbox to dialog list
  AddListItem CHK_ART00$, "ON"             '' status
  AddListItem CHK_ART00$, "ON"             '' temp status -- used for dialogs
  AddListItem CHK_ART00$, "artSwimsuitA"   '' file section in LYT/INF file
  AddListItem CHK_ART00$, "300"            '' dialog template ID
  AddListItem CHK_ART00$, "0"              '' disk cost of checked item
  AddListItem CHK_ART00$, "RESA.ALB"       '' name of category album
  AddListItem CHK_ART00$, "artSwimsuitAlbA"'' LYT/INF section for album file
  AddListItem CHK_ART00$, "0"
  AddListItem CHK_ART00$, "ON"             '' dfg - default status for reinit

  CHK_ART01$ = "ChkArt01"
  AddListItem DIA_ART$, CHK_ART01$         '' add checkbox to dialog list
  AddListItem CHK_ART01$, "OFF"            '' status
  AddListItem CHK_ART01$, "OFF"            '' temp status -- used for dialogs
  AddListItem CHK_ART01$, "artSwimsuitB"   '' file section in LYT/INF file
  AddListItem CHK_ART01$, "301"            '' dialog template ID
  AddListItem CHK_ART01$, "0"              '' disk cost of checked item
  AddListItem CHK_ART01$, "RESB.ALB"       '' name of category album
  AddListItem CHK_ART01$, "artSwimsuitAlbB"'' LYT/INF section for album file
  AddListItem CHK_ART01$, "0"
  AddListItem CHK_ART01$, "OFF"            '' dfg - default status for reinit
END SUB

SUB ReInitArtDialogSymbols STATIC
  '' get the cost of the CLIP ART
  j% = GetListLength (DIA_ART$)
  FOR i% = 1 to j% STEP 1
     szChkSym$ = GetListItem (DIA_ART$, i%)
     szDefaultStatus$ = GetListItem (szChkSym$, DEFAULT_STATUS)
     ReplaceListItem szChkSym$, STATUS, szDefaultStatus$
  NEXT i%
END SUB

FUNCTION GetAlbumName STATIC AS STRING
  '' get the name of the one and only album selected
  j% = GetListLength (DIA_ART$)
  FOR i% = 1 to j% STEP 1
     szChkSym$ = GetListItem (DIA_ART$, i%)
     szStatus$ = GetListItem (szChkSym$, STATUS)
     IF (szStatus$ = _ON$) THEN
       GetAlbumName = GetListItem (szChkSym$, ALBUM)
     ENDIF
  NEXT i%
END FUNCTION

FUNCTION GetDriveName(szPath$) STATIC AS STRING

  szTemp$ = szPath$

  x% = INSTR(szPath$, ":")
  if x%>0 then
    szTemp$ = MakePath (MID$ (szPath$, 1, x%), "")
  endif

  GetDriveName = szTemp$

END FUNCTION
